Implementation Check State

The implementation check state resource.

Basehttps://rest.carbon.ms/implementationCheckState
GET/implementationCheckState

List implementation check states

Retrieve a paginated list of implementation check states. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/implementationCheckState
curl --request GET \
  --url 'https://rest.carbon.ms/implementationCheckState?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "companyId": "xyz789",
    "itemKey": "string",
    "kind": "string",
    "value": "string",
    "createdBy": "string",
    "createdAt": "2026-01-01T00:00:00Z",
    "updatedBy": "string"
  }
]
GET/implementationCheckState

Retrieve a implementation check state

Fetch a single implementation check state by filtering on `id`.

Query parameters

idstring

Match on the implementation check state's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/implementationCheckState
curl --request GET \
  --url 'https://rest.carbon.ms/implementationCheckState?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "itemKey": "string",
  "kind": "string",
  "value": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
POST/implementationCheckState

Create a implementation check state

Create a new implementation check state.

Body parameters

itemKeystringrequired
kindimplementationStateKindrequired
valuestringrequired
POSThttps://rest.carbon.ms/implementationCheckState
curl --request POST \
  --url https://rest.carbon.ms/implementationCheckState \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"itemKey":"string","kind":"string","value":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "itemKey": "string",
  "kind": "string",
  "value": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
PATCH/implementationCheckState

Update a implementation check state

Update an existing implementation check state, matched on `id`.

Body parameters

itemKeystringrequired
kindimplementationStateKindrequired
valuestringrequired
PATCHhttps://rest.carbon.ms/implementationCheckState
curl --request PATCH \
  --url 'https://rest.carbon.ms/implementationCheckState?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"itemKey":"string"}'
Response
{
  "id": "abc123def456",
  "companyId": "xyz789",
  "itemKey": "string",
  "kind": "string",
  "value": "string",
  "createdBy": "string",
  "createdAt": "2026-01-01T00:00:00Z",
  "updatedBy": "string"
}
DELETE/implementationCheckState

Delete a implementation check state

Delete a implementation check state, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the implementation check state to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/implementationCheckState
curl --request DELETE \
  --url 'https://rest.carbon.ms/implementationCheckState?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content